=== modified file 'lib/lp/app/javascript/formwidgets/tests/test_formwidgets.js'
--- lib/lp/app/javascript/formwidgets/tests/test_formwidgets.js	2011-08-05 09:13:28 +0000
+++ lib/lp/app/javascript/formwidgets/tests/test_formwidgets.js	2011-08-08 09:18:01 +0000
@@ -44,7 +44,7 @@
                 Y.Node.create("<input /><input />"));
             this.widget.set("name", "field");
             this.widget.render(this.container);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["field", "field"],
                 this.container.all("input").get("name"));
         },
@@ -55,7 +55,7 @@
             this.widget.set("name", "field");
             this.widget.render(this.container);
             this.widget.set("name", "plain");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["plain", "plain"],
                 this.container.all("input").get("name"));
         },
@@ -63,7 +63,7 @@
         testRenderLabel: function() {
             this.widget.set("label", "Test label");
             this.widget.render(this.container);
-            Assert.areEqual(
+            Assert.areSame(
                 "Test label",
                 this.container.one("label").get("text"));
         },
@@ -72,7 +72,7 @@
             this.widget.set("label", "Test label");
             this.widget.render(this.container);
             this.widget.set("label", "Another label");
-            Assert.areEqual(
+            Assert.areSame(
                 "Another label",
                 this.container.one("label").get("text"));
         },
@@ -80,7 +80,7 @@
         testRenderDescription: function() {
             this.widget.set("description", "Test description.");
             this.widget.render(this.container);
-            Assert.areEqual(
+            Assert.areSame(
                 "Test description.",
                 this.container.one("p.formHelp").get("text"));
         },
@@ -89,7 +89,7 @@
             this.widget.set("description", "Test description.");
             this.widget.render(this.container);
             this.widget.set("description", "Another description.");
-            Assert.areEqual(
+            Assert.areSame(
                 "Another description.",
                 this.container.one("p.formHelp").get("text"));
         },
@@ -100,11 +100,11 @@
             this.widget.render(this.container);
             Assert.isFalse(this.container
                 .one('span.helper').hasClass("unseen"));
-            Assert.areEqual(
+            Assert.areSame(
                 "Help text",
                 this.container.one("a")
                    .one('span.invisible-link').get("text"));
-            Assert.areEqual(
+            Assert.areSame(
                 "http://test.com/test.html",
                 this.container.one("a").get('href'));
         },
@@ -113,10 +113,10 @@
             this.widget.set("help",
                 {link: "http://test.com/test.html", text: "Help text"});
             this.widget.render(this.container);
-            Assert.areEqual(
+            Assert.areSame(
                 "http://test.com/test.html",
                 this.widget.get("help").link);
-            Assert.areEqual(
+            Assert.areSame(
                 "Help text",
                 this.widget.get("help").text);
          },
@@ -128,11 +128,11 @@
             this.widget.set(
                 "help",
                 {link: "http://test.com/test2.html", text: "Help text2"});
-            Assert.areEqual(
+            Assert.areSame(
                 "Help text2",
                 this.container.one("a")
                     .one('span.invisible-link').get("text"));
-            Assert.areEqual(
+            Assert.areSame(
                 "http://test.com/test2.html",
                 this.container.one("a").get('href'));
         },
@@ -159,7 +159,7 @@
 
         testShowError: function() {
             this.widget.showError("Unrealistic expectations.");
-            Assert.areEqual(
+            Assert.areSame(
                 "Unrealistic expectations.",
                 this.widget.fieldNode.one("p").get("text"));
         }
@@ -211,13 +211,13 @@
         testRenderChoices: function() {
             this.widget.set("choices", ["a", "b"]);
             this.widget.render(this.container);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"],
                 this.container.all("li > input").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"],
                 this.container.all("li > label").get("text"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["checkbox", "checkbox"],
                 this.container.all("li > input").getAttribute("type"));
         },
@@ -229,16 +229,16 @@
             ];
             this.widget.set("choices", choices);
             this.widget.render(this.container);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"],
                 this.container.all("li > input").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["A", "B"],
                 this.container.all("li > label").get("text"));
             var items = [];
             this.container.all("li").each(
                 function(node) { items.push(node); });
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["aaa", "bbb"],
                 this.container.all("li").map(
                     function(node) { return node.getData(); }));
@@ -248,10 +248,10 @@
             this.widget.set("choices", ["a", "b"]);
             this.widget.render(this.container);
             this.widget.set("choices", ["c", "d", "e"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["c", "d", "e"],
                 this.container.all("li > input").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["c", "d", "e"],
                 this.container.all("li > label").get("text"));
         },
@@ -259,13 +259,13 @@
        testRenderAddChoices: function() {
             this.widget.add_choices(["a", "b"]);
             this.widget.render(this.container);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"],
                 this.container.all("li > input").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"],
                 this.container.all("li > label").get("text"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["checkbox", "checkbox"],
                 this.container.all("li > input").getAttribute("type"));
         },
@@ -274,10 +274,10 @@
             this.widget.set("choices", ["a", "b", "c", "d"]);
             this.widget.render(this.container);
             this.widget.remove_choices(["b", "d"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "c"],
                 this.container.all("li > input").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "c"],
                 this.container.all("li > label").get("text"));
         },
@@ -286,7 +286,7 @@
             this.widget.set("choices", ["a", "b"]);
             this.widget.render(this.container);
             this.widget.set("multiple", false);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["radio", "radio"],
                 this.container.all("li > input").getAttribute("type"));
         },
@@ -295,11 +295,11 @@
             this.widget
                 .set("multiple", true)
                 .set("choices", ["a", "b"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 [], this.widget.get("choice"));
             this.widget.fieldNode.one("input[value=a]")
                 .set("checked", "checked");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
         },
 
@@ -312,7 +312,7 @@
             Assert.isNull(this.widget.get("choice"));
             this.widget.fieldNode.one("input[value=a]")
                 .set("checked", "checked");
-            Assert.areEqual("a", this.widget.get("choice"));
+            Assert.areSame("a", this.widget.get("choice"));
             this.widget.fieldNode.one("input[value=b]")
                 .set("checked", "checked");
             if (this.widget.fieldNode.one("input[value=a]").get("checked")) {
@@ -322,7 +322,7 @@
             }
             else {
                 // The host browser's DOM/JS is sane.
-                ArrayAssert.itemsAreEqual(
+                ArrayAssert.itemsAreSame(
                     ["b"], this.widget.get("choice"));
             }
         },
@@ -332,16 +332,16 @@
                 .set("multiple", true)
                 .set("choices", ["a", "b"])
                 .set("choice", "a");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
             this.widget.set("choice", ["a"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
             this.widget.set("choice", ["a", "b"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"], this.widget.get("choice"));
             this.widget.set("choice", ["b", "c"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["b"], this.widget.get("choice"));
         },
 
@@ -350,13 +350,13 @@
                 .set("multiple", false)
                 .set("choices", ["a", "b"])
                 .set("choice", "a");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 "a", this.widget.get("choice"));
             this.widget.set("choice", ["a"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 "a", this.widget.get("choice"));
             this.widget.set("choice", "b");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 "b", this.widget.get("choice"));
         }
 
@@ -389,10 +389,10 @@
                 .set("name", "foo")
                 .set("choices", this.choices);
             var select = this.widget.fieldNode.one("select");
-            Assert.areEqual("foo", select.get("name"));
+            Assert.areSame("foo", select.get("name"));
             this.widget
                 .set("name", "bar");
-            Assert.areEqual("bar", select.get("name"));
+            Assert.areSame("bar", select.get("name"));
         },
 
         testChoices: function() {
@@ -400,13 +400,13 @@
             var choices_observed = this.widget.get("choices");
             /* We have to compare bit by bit ourselves because
                Javascript is a language born in hell. */
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 attrselect("value")(this.choices),
                 attrselect("value")(choices_observed));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 attrselect("text")(this.choices),
                 attrselect("text")(choices_observed));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 attrselect("data")(this.choices),
                 attrselect("data")(choices_observed));
         },
@@ -414,10 +414,10 @@
         testRenderChoices: function() {
             this.widget.set("choices", this.choices);
             this.widget.render(this.container);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b", "c"],
                 this.container.all("select > option").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["A", "B", "C"],
                 this.container.all("select > option").get("text"));
         },
@@ -441,10 +441,10 @@
                 {value: "c", text: "C", data: 789}
             ];
             this.widget.set("choices", choices2);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["b", "c"],
                 this.container.all("select > option").get("value"));
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["B", "C"],
                 this.container.all("select > option").get("text"));
         },
@@ -457,15 +457,15 @@
                but this appears impossible; the browser seems to
                select the first option when rendering. */
             this.widget.fieldNode.all("option").set("selected", false);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 [], this.widget.get("choice"));
             this.widget.fieldNode.one("option[value=a]")
                 .set("selected", true);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
             this.widget.fieldNode.one("option[value=c]")
                 .set("selected", true);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "c"], this.widget.get("choice"));
         },
 
@@ -474,21 +474,21 @@
                 .set("multiple", true)
                 .set("choices", this.choices)
                 .set("choice", "a");
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
             this.widget.set("choice", ["a"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a"], this.widget.get("choice"));
             this.widget.set("choice", ["a", "b"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["a", "b"], this.widget.get("choice"));
             this.widget.set("choice", ["b", "z"]);
-            ArrayAssert.itemsAreEqual(
+            ArrayAssert.itemsAreSame(
                 ["b"], this.widget.get("choice"));
         },
 
         testSize: function() {
-            Assert.areEqual(1, this.widget.get("size"));
+            Assert.areSame(1, this.widget.get("size"));
         },
 
         testRenderSize: function() {
@@ -496,7 +496,7 @@
                 .set("choices", this.choices)
                 .set("size", 7)
                 .render(this.container);
-            Assert.areEqual(
+            Assert.areSame(
                 7, this.widget.fieldNode.one("select").get("size"));
         },
 
@@ -506,7 +506,7 @@
                 .set("size", 3)
                 .render(this.container)
                 .set("size", 5);
-            Assert.areEqual(
+            Assert.areSame(
                 5, this.widget.fieldNode.one("select").get("size"));
         },
 
@@ -515,7 +515,7 @@
             /* Without argument, autoSize() sets the size to the same
                as the number of choices. */
             this.widget.autoSize();
-            Assert.areEqual(3, this.widget.get("size"));
+            Assert.areSame(3, this.widget.get("size"));
         },
 
         testAutoSizeMoreChoicesThanMaxiumum: function() {
@@ -524,7 +524,7 @@
                choices unless there are more than the specified
                maximum. */
             this.widget.autoSize(2);
-            Assert.areEqual(2, this.widget.get("size"));
+            Assert.areSame(2, this.widget.get("size"));
         },
 
         testAutoSizeFewerChoicesThanMaxiumum: function() {
@@ -532,11 +532,11 @@
             /* autoSize() sets the size to the same as the number of
                choices. */
             this.widget.autoSize(5);
-            Assert.areEqual(3, this.widget.get("size"));
+            Assert.areSame(3, this.widget.get("size"));
         },
 
         testMultiple: function() {
-            Assert.areEqual(false, this.widget.get("multiple"));
+            Assert.areSame(false, this.widget.get("multiple"));
         },
 
         testRenderMultiple: function() {
@@ -616,7 +616,7 @@
 
         testShowError: function() {
             this.widget.showError("The Man From U.N.C.L.E.");
-            Assert.areEqual(
+            Assert.areSame(
                 "The Man From U.N.C.L.E.",
                 this.actions.one("p.error.message").get("text"));
         },

